using System.Collections.Generic;

namespace Chapter3.Variance
{
    public class ComparisonHelper<TBase, TDerived> : IComparer<TDerived>
        where TDerived : TBase
    {
        private readonly IComparer<TBase> comparer;

        public ComparisonHelper(IComparer<TBase> comparer)
        {
            this.comparer = comparer;
        }

        public int Compare(TDerived x, TDerived y)
        {
            // Implicit conversions of x and y to TBase
            return comparer.Compare(x, y);
        }
    }
}