﻿using System;
using System.ComponentModel;

namespace Chapter3.Variance
{
    [Description("Extra code for P104 (variance)")]
    class StorageLocations
    {
        static void Main()
        {
            // Notice how we've kept strongly typed by making IStorageLocation generic
            MagicDrive magic = new MagicDrive("topmagic");
            foreach (MagicDrive submagic in magic.GetSublocations())
            {
                Console.WriteLine(submagic.Name);
            }

            Fat32 fat32 = new Fat32("c:\\");
            foreach (Fat32 subfat32 in fat32.GetSublocations())
            {
                Console.WriteLine(subfat32.Name);
            }
        }
    }
}
