﻿using System;
using System.ComponentModel;
using System.Linq.Expressions;

namespace Chapter9
{
    [Description("Listing 9.9")]
    class LambdaExpressionWithParametersToExpressionTree
    {
        static void Main()
        {
            Expression<Func<string, string, bool>> expression = ((x, y) => x.StartsWith(y));

            var compiled = expression.Compile();

            Console.WriteLine(compiled("First", "Second"));
            Console.WriteLine(compiled("First", "Fir"));

        }
    }
}
