﻿using System;
using System.Linq;

namespace EntityFramework
{
    class ShowAllClosedDefects
    {
        static void Main()
        {
            using (var connection = new DefectModel())
            {
                var query = from Defect defect in connection.Defect
                            where defect.Status == (byte)Status.Closed
                            select defect;

                foreach (var defect in query)
                {
                    Console.WriteLine(defect);
                }
            }
        }
    }
}
