﻿using System.Collections.Generic;

namespace Chapter3.Variance
{
    // Note the constraint here, and the fact that GetSublocations
    // returns an IEnumerable<T> instead of IEnumerable<IStorageLocation>
    public interface IStorageLocation<T> where T : IStorageLocation<T>
    {
        IEnumerable<T> GetSublocations();
        string Name { get; }
    }
}
